OGRE: Ogre::MaterialScriptContext Struct Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::MaterialScriptContext Struct Reference

Struct for holding the script context while parsing. More...

`#include <OgreMaterialSerializer.h>`

List of all members.

## Public Attributes

MaterialScriptSection | section
String | groupName
MaterialPtr | material
Technique * | technique
Pass * | pass
TextureUnitState * | textureUnit
GpuProgramPtr | program
bool | isProgramShadowCaster
bool | isVertexProgramShadowReceiver
bool | isFragmentProgramShadowReceiver
GpuProgramParametersSharedPtr | programParams
ushort | numAnimationParametrics
MaterialScriptProgramDefinition * | programDef
int | techLev
int | passLev
int | stateLev
StringVector | defaultParamLines
size_t | lineNo
String | filename
AliasTextureNamePairList | textureAliases

## Detailed Description

Struct for holding the script context while parsing.

Definition at line 69 of file OgreMaterialSerializer.h.

## Member Data Documentation

StringVector Ogre::MaterialScriptContext::defaultParamLines

| Definition at line 88 of file OgreMaterialSerializer.h.

String Ogre::MaterialScriptContext::filename

| Definition at line 92 of file OgreMaterialSerializer.h.

String Ogre::MaterialScriptContext::groupName

| Definition at line 72 of file OgreMaterialSerializer.h.

bool Ogre::MaterialScriptContext::isFragmentProgramShadowReceiver

| Definition at line 80 of file OgreMaterialSerializer.h.

bool Ogre::MaterialScriptContext::isProgramShadowCaster

| Definition at line 78 of file OgreMaterialSerializer.h.

bool Ogre::MaterialScriptContext::isVertexProgramShadowReceiver

| Definition at line 79 of file OgreMaterialSerializer.h.

size_t Ogre::MaterialScriptContext::lineNo

| Definition at line 91 of file OgreMaterialSerializer.h.

MaterialPtr Ogre::MaterialScriptContext::material

| Definition at line 73 of file OgreMaterialSerializer.h.

ushort Ogre::MaterialScriptContext::numAnimationParametrics

| Definition at line 82 of file OgreMaterialSerializer.h.

Pass* Ogre::MaterialScriptContext::pass

| Definition at line 75 of file OgreMaterialSerializer.h.

int Ogre::MaterialScriptContext::passLev

| Definition at line 85 of file OgreMaterialSerializer.h.

GpuProgramPtr Ogre::MaterialScriptContext::program

| Definition at line 77 of file OgreMaterialSerializer.h.

MaterialScriptProgramDefinition* Ogre::MaterialScriptContext::programDef

| Definition at line 83 of file OgreMaterialSerializer.h.

GpuProgramParametersSharedPtr Ogre::MaterialScriptContext::programParams

| Definition at line 81 of file OgreMaterialSerializer.h.

MaterialScriptSection Ogre::MaterialScriptContext::section

| Definition at line 71 of file OgreMaterialSerializer.h.

int Ogre::MaterialScriptContext::stateLev

| Definition at line 85 of file OgreMaterialSerializer.h.

int Ogre::MaterialScriptContext::techLev

| Definition at line 85 of file OgreMaterialSerializer.h.

Technique* Ogre::MaterialScriptContext::technique

| Definition at line 74 of file OgreMaterialSerializer.h.

AliasTextureNamePairList Ogre::MaterialScriptContext::textureAliases

| Definition at line 93 of file OgreMaterialSerializer.h.

TextureUnitState* Ogre::MaterialScriptContext::textureUnit

| Definition at line 76 of file OgreMaterialSerializer.h.

The documentation for this struct was generated from the following file:

- OgreMaterialSerializer.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:09 2008